%def_disable static

Name: raptor
Version: 1.4.16
Release: alt1

Summary: Raptor RDF Parser Toolkit for Redland
License: GPL/LGPL
Group: Development/Other
Url: http://www.redland.opensource.ac.uk/%name
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Source: http://librdf.org/dist/source/%name-%version.tar.gz
Patch:  alt-raptor-nogrddl-tests.patch
Requires: lib%name = %version-%release

# Automatically added by buildreq on Tue Jan 04 2005
BuildRequires: flex gcc-c++ libcurl-devel libexpat-devel libssl-devel libstdc++-devel libxml2-devel zlib-devel gtk-doc

%description
Raptor is the RDF Parser Toolkit for Redland that provides a set of
standalone RDF parsers, generating triples from RDF/XML or N-Triples.

%package -n lib%name
Summary: Dynamic libraries from %name
Group: System/Libraries

%description -n lib%name
Dynamic libraries from %name.

%package -n lib%name-devel
Summary: Header files and static libraries from %name
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup
%patch -p1

%build
export PATH=`pwd`:$PATH
%__autoreconf
%configure \
    %{subst_enable static}

# SMP-incompatible build
%make
%make -C tests check

%install
%makeinstall

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*
%exclude %_bindir/%name-config
%_man1dir/*
%exclude %_man1dir/%name-config*
%doc AUTHORS ChangeLog LICENSE.txt NEWS README

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_bindir/%name-config
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%_man1dir/%name-config*
%_man3dir/*
%dir %_datadir/gtk-doc/html/%name
%_datadir/gtk-doc/html/%name/*

%changelog
* Tue Oct 23 2007 Eugene Ostapets <eostapets@altlinux.ru> 1.4.16-alt1
- new version

* Fri Mar 16 2007 Eugene Ostapets <eostapets@altlinux.ru> 1.4.14-alt1
- new version

* Mon Dec 04 2006 Eugene Ostapets <eostapets@altlinux.ru> 1.4.13-alt1
- new version

* Tue Jan 04 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.4.3-alt1
- 1.4.3

* Tue Jan 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.2.0-alt1
- new version.

* Sat Nov 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt1
- new version.
- use libtool-1.4
- do not package .la files.

* Tue Feb 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.8-alt1
- Adopted for Sisyphus.

* Tue Feb 18 2003 Austin Acton <aacton@yorku.ca> 0.9.8-1mdk
- initial package
